org.eclipse.viatra.cep.core.metamodels.trace.impl

## Class TracePackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.viatra.cep.core.metamodels.trace.impl.TracePackageImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, TracePackage

      public class TracePackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements TracePackage

  An implementation of the model Package.
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.cep.core.metamodels.trace.TracePackage

      `TracePackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.viatra.cep.core.metamodels.trace.TracePackage

      `eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, TIMED_ZONE_TRACE, TIMED_ZONE_TRACE__TIMED_ZONE, TIMED_ZONE_TRACE__TRANSITION, TIMED_ZONE_TRACE_FEATURE_COUNT, TIMED_ZONE_TRACE_OPERATION_COUNT, TRACE, TRACE__AUTOMATON, TRACE__EVENT_PATTERN, TRACE_FEATURE_COUNT, TRACE_MODEL, TRACE_MODEL__TIMED_ZONE_TRACES, TRACE_MODEL__TRACES, TRACE_MODEL_FEATURE_COUNT, TRACE_MODEL_OPERATION_COUNT, TRACE_OPERATION_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EReference` | `getTimedZoneTrace_TimedZone()`
    `org.eclipse.emf.ecore.EReference` | `getTimedZoneTrace_Transition()`
    `org.eclipse.emf.ecore.EClass` | `getTimedZoneTrace()`
    `org.eclipse.emf.ecore.EReference` | `getTrace_Automaton()`
    `org.eclipse.emf.ecore.EReference` | `getTrace_EventPattern()`
    `org.eclipse.emf.ecore.EClass` | `getTrace()`
    `TraceFactory` | `getTraceFactory()`
    `org.eclipse.emf.ecore.EReference` | `getTraceModel_TimedZoneTraces()`
    `org.eclipse.emf.ecore.EReference` | `getTraceModel_Traces()`
    `org.eclipse.emf.ecore.EClass` | `getTraceModel()`
    `static TracePackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static TracePackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `TracePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `TracePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated:

    - #### getTraceModel

          public org.eclipse.emf.ecore.EClass getTraceModel()

      Specified by:
        `getTraceModel` in interface `TracePackage`
      Returns:
        the meta object for class 'Model'.
      See Also:
        `TraceModel`
      Generated:

    - #### getTraceModel_Traces

          public org.eclipse.emf.ecore.EReference getTraceModel_Traces()

      Specified by:
        `getTraceModel_Traces` in interface `TracePackage`
      Returns:
        the meta object for the containment reference list 'Traces'.
      See Also:
        `TraceModel.getTraces()`, `TracePackage.getTraceModel()`
      Generated:

    - #### getTraceModel_TimedZoneTraces

          public org.eclipse.emf.ecore.EReference getTraceModel_TimedZoneTraces()

      Specified by:
        `getTraceModel_TimedZoneTraces` in interface `TracePackage`
      Returns:
        the meta object for the reference list 'Timed Zone Traces'.
      See Also:
        `TraceModel.getTimedZoneTraces()`, `TracePackage.getTraceModel()`
      Generated:

    - #### getTrace

          public org.eclipse.emf.ecore.EClass getTrace()

      Specified by:
        `getTrace` in interface `TracePackage`
      Returns:
        the meta object for class 'Trace'.
      See Also:
        `Trace`
      Generated:

    - #### getTrace_EventPattern

          public org.eclipse.emf.ecore.EReference getTrace_EventPattern()

      Specified by:
        `getTrace_EventPattern` in interface `TracePackage`
      Returns:
        the meta object for the reference 'Event Pattern'.
      See Also:
        `Trace.getEventPattern()`, `TracePackage.getTrace()`
      Generated:

    - #### getTrace_Automaton

          public org.eclipse.emf.ecore.EReference getTrace_Automaton()

      Specified by:
        `getTrace_Automaton` in interface `TracePackage`
      Returns:
        the meta object for the reference 'Automaton'.
      See Also:
        `Trace.getAutomaton()`, `TracePackage.getTrace()`
      Generated:

    - #### getTimedZoneTrace

          public org.eclipse.emf.ecore.EClass getTimedZoneTrace()

      Specified by:
        `getTimedZoneTrace` in interface `TracePackage`
      Returns:
        the meta object for class 'Timed Zone Trace'.
      See Also:
        `TimedZoneTrace`
      Generated:

    - #### getTimedZoneTrace_TimedZone

          public org.eclipse.emf.ecore.EReference getTimedZoneTrace_TimedZone()

      Specified by:
        `getTimedZoneTrace_TimedZone` in interface `TracePackage`
      Returns:
        the meta object for the reference 'Timed Zone'.
      See Also:
        `TimedZoneTrace.getTimedZone()`, `TracePackage.getTimedZoneTrace()`
      Generated:

    - #### getTimedZoneTrace_Transition

          public org.eclipse.emf.ecore.EReference getTimedZoneTrace_Transition()

      Specified by:
        `getTimedZoneTrace_Transition` in interface `TracePackage`
      Returns:
        the meta object for the reference 'Transition'.
      See Also:
        `TimedZoneTrace.getTransition()`, `TracePackage.getTimedZoneTrace()`
      Generated:

    - #### getTraceFactory

          public TraceFactory getTraceFactory()

      Specified by:
        `getTraceFactory` in interface `TracePackage`
      Returns:
        the factory that creates the instances of the model.
      Generated:

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated:

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated: